IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/48
Addresses2^80
/64 networks65,536
- Network
ff44:ec00:dd22::/48- First address
ff44:ec00:dd22::- Last address
ff44:ec00:dd22:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,208,925,819,614,629,174,706,176 (2^80)
- /64 networks (LANs)
- 65,536
- Full form
ff44:ec00:dd22:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
2.2.d.d.0.0.c.e.4.4.f.f.ip6.arpa
Split into smaller subnets
ff44:ec00:dd22::/48 makes 256 subnets of /56.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff44:ec00:dd22::/56 | ff44:ec00:dd22:ff:ffff:ffff:ffff:ffff |
| 2 | ff44:ec00:dd22:100::/56 | ff44:ec00:dd22:1ff:ffff:ffff:ffff:ffff |
| 3 | ff44:ec00:dd22:200::/56 | ff44:ec00:dd22:2ff:ffff:ffff:ffff:ffff |
| 4 | ff44:ec00:dd22:300::/56 | ff44:ec00:dd22:3ff:ffff:ffff:ffff:ffff |
| 5 | ff44:ec00:dd22:400::/56 | ff44:ec00:dd22:4ff:ffff:ffff:ffff:ffff |
| 6 | ff44:ec00:dd22:500::/56 | ff44:ec00:dd22:5ff:ffff:ffff:ffff:ffff |
| 7 | ff44:ec00:dd22:600::/56 | ff44:ec00:dd22:6ff:ffff:ffff:ffff:ffff |
| 8 | ff44:ec00:dd22:700::/56 | ff44:ec00:dd22:7ff:ffff:ffff:ffff:ffff |
| 9 | ff44:ec00:dd22:800::/56 | ff44:ec00:dd22:8ff:ffff:ffff:ffff:ffff |
| 10 | ff44:ec00:dd22:900::/56 | ff44:ec00:dd22:9ff:ffff:ffff:ffff:ffff |
| 11 | ff44:ec00:dd22:a00::/56 | ff44:ec00:dd22:aff:ffff:ffff:ffff:ffff |
| 12 | ff44:ec00:dd22:b00::/56 | ff44:ec00:dd22:bff:ffff:ffff:ffff:ffff |
| 13 | ff44:ec00:dd22:c00::/56 | ff44:ec00:dd22:cff:ffff:ffff:ffff:ffff |
| 14 | ff44:ec00:dd22:d00::/56 | ff44:ec00:dd22:dff:ffff:ffff:ffff:ffff |
| 15 | ff44:ec00:dd22:e00::/56 | ff44:ec00:dd22:eff:ffff:ffff:ffff:ffff |
| 16 | ff44:ec00:dd22:f00::/56 | ff44:ec00:dd22:fff:ffff:ffff:ffff:ffff |
| 17 | ff44:ec00:dd22:1000::/56 | ff44:ec00:dd22:10ff:ffff:ffff:ffff:ffff |
| 18 | ff44:ec00:dd22:1100::/56 | ff44:ec00:dd22:11ff:ffff:ffff:ffff:ffff |
| 19 | ff44:ec00:dd22:1200::/56 | ff44:ec00:dd22:12ff:ffff:ffff:ffff:ffff |
| 20 | ff44:ec00:dd22:1300::/56 | ff44:ec00:dd22:13ff:ffff:ffff:ffff:ffff |
| 21 | ff44:ec00:dd22:1400::/56 | ff44:ec00:dd22:14ff:ffff:ffff:ffff:ffff |
| 22 | ff44:ec00:dd22:1500::/56 | ff44:ec00:dd22:15ff:ffff:ffff:ffff:ffff |
| 23 | ff44:ec00:dd22:1600::/56 | ff44:ec00:dd22:16ff:ffff:ffff:ffff:ffff |
| 24 | ff44:ec00:dd22:1700::/56 | ff44:ec00:dd22:17ff:ffff:ffff:ffff:ffff |
| 25 | ff44:ec00:dd22:1800::/56 | ff44:ec00:dd22:18ff:ffff:ffff:ffff:ffff |
| 26 | ff44:ec00:dd22:1900::/56 | ff44:ec00:dd22:19ff:ffff:ffff:ffff:ffff |
| 27 | ff44:ec00:dd22:1a00::/56 | ff44:ec00:dd22:1aff:ffff:ffff:ffff:ffff |
| 28 | ff44:ec00:dd22:1b00::/56 | ff44:ec00:dd22:1bff:ffff:ffff:ffff:ffff |
| 29 | ff44:ec00:dd22:1c00::/56 | ff44:ec00:dd22:1cff:ffff:ffff:ffff:ffff |
| 30 | ff44:ec00:dd22:1d00::/56 | ff44:ec00:dd22:1dff:ffff:ffff:ffff:ffff |
| 31 | ff44:ec00:dd22:1e00::/56 | ff44:ec00:dd22:1eff:ffff:ffff:ffff:ffff |
| 32 | ff44:ec00:dd22:1f00::/56 | ff44:ec00:dd22:1fff:ffff:ffff:ffff:ffff |
| 33 | ff44:ec00:dd22:2000::/56 | ff44:ec00:dd22:20ff:ffff:ffff:ffff:ffff |
| 34 | ff44:ec00:dd22:2100::/56 | ff44:ec00:dd22:21ff:ffff:ffff:ffff:ffff |
| 35 | ff44:ec00:dd22:2200::/56 | ff44:ec00:dd22:22ff:ffff:ffff:ffff:ffff |
| 36 | ff44:ec00:dd22:2300::/56 | ff44:ec00:dd22:23ff:ffff:ffff:ffff:ffff |
| 37 | ff44:ec00:dd22:2400::/56 | ff44:ec00:dd22:24ff:ffff:ffff:ffff:ffff |
| 38 | ff44:ec00:dd22:2500::/56 | ff44:ec00:dd22:25ff:ffff:ffff:ffff:ffff |
| 39 | ff44:ec00:dd22:2600::/56 | ff44:ec00:dd22:26ff:ffff:ffff:ffff:ffff |
| 40 | ff44:ec00:dd22:2700::/56 | ff44:ec00:dd22:27ff:ffff:ffff:ffff:ffff |
| 41 | ff44:ec00:dd22:2800::/56 | ff44:ec00:dd22:28ff:ffff:ffff:ffff:ffff |
| 42 | ff44:ec00:dd22:2900::/56 | ff44:ec00:dd22:29ff:ffff:ffff:ffff:ffff |
| 43 | ff44:ec00:dd22:2a00::/56 | ff44:ec00:dd22:2aff:ffff:ffff:ffff:ffff |
| 44 | ff44:ec00:dd22:2b00::/56 | ff44:ec00:dd22:2bff:ffff:ffff:ffff:ffff |
| 45 | ff44:ec00:dd22:2c00::/56 | ff44:ec00:dd22:2cff:ffff:ffff:ffff:ffff |
| 46 | ff44:ec00:dd22:2d00::/56 | ff44:ec00:dd22:2dff:ffff:ffff:ffff:ffff |
| 47 | ff44:ec00:dd22:2e00::/56 | ff44:ec00:dd22:2eff:ffff:ffff:ffff:ffff |
| 48 | ff44:ec00:dd22:2f00::/56 | ff44:ec00:dd22:2fff:ffff:ffff:ffff:ffff |
| 49 | ff44:ec00:dd22:3000::/56 | ff44:ec00:dd22:30ff:ffff:ffff:ffff:ffff |
| 50 | ff44:ec00:dd22:3100::/56 | ff44:ec00:dd22:31ff:ffff:ffff:ffff:ffff |
| 51 | ff44:ec00:dd22:3200::/56 | ff44:ec00:dd22:32ff:ffff:ffff:ffff:ffff |
| 52 | ff44:ec00:dd22:3300::/56 | ff44:ec00:dd22:33ff:ffff:ffff:ffff:ffff |
| 53 | ff44:ec00:dd22:3400::/56 | ff44:ec00:dd22:34ff:ffff:ffff:ffff:ffff |
| 54 | ff44:ec00:dd22:3500::/56 | ff44:ec00:dd22:35ff:ffff:ffff:ffff:ffff |
| 55 | ff44:ec00:dd22:3600::/56 | ff44:ec00:dd22:36ff:ffff:ffff:ffff:ffff |
| 56 | ff44:ec00:dd22:3700::/56 | ff44:ec00:dd22:37ff:ffff:ffff:ffff:ffff |
| 57 | ff44:ec00:dd22:3800::/56 | ff44:ec00:dd22:38ff:ffff:ffff:ffff:ffff |
| 58 | ff44:ec00:dd22:3900::/56 | ff44:ec00:dd22:39ff:ffff:ffff:ffff:ffff |
| 59 | ff44:ec00:dd22:3a00::/56 | ff44:ec00:dd22:3aff:ffff:ffff:ffff:ffff |
| 60 | ff44:ec00:dd22:3b00::/56 | ff44:ec00:dd22:3bff:ffff:ffff:ffff:ffff |
| 61 | ff44:ec00:dd22:3c00::/56 | ff44:ec00:dd22:3cff:ffff:ffff:ffff:ffff |
| 62 | ff44:ec00:dd22:3d00::/56 | ff44:ec00:dd22:3dff:ffff:ffff:ffff:ffff |
| 63 | ff44:ec00:dd22:3e00::/56 | ff44:ec00:dd22:3eff:ffff:ffff:ffff:ffff |
| 64 | ff44:ec00:dd22:3f00::/56 | ff44:ec00:dd22:3fff:ffff:ffff:ffff:ffff |
| 65 | ff44:ec00:dd22:4000::/56 | ff44:ec00:dd22:40ff:ffff:ffff:ffff:ffff |
| 66 | ff44:ec00:dd22:4100::/56 | ff44:ec00:dd22:41ff:ffff:ffff:ffff:ffff |
| 67 | ff44:ec00:dd22:4200::/56 | ff44:ec00:dd22:42ff:ffff:ffff:ffff:ffff |
| 68 | ff44:ec00:dd22:4300::/56 | ff44:ec00:dd22:43ff:ffff:ffff:ffff:ffff |
| 69 | ff44:ec00:dd22:4400::/56 | ff44:ec00:dd22:44ff:ffff:ffff:ffff:ffff |
| 70 | ff44:ec00:dd22:4500::/56 | ff44:ec00:dd22:45ff:ffff:ffff:ffff:ffff |
| 71 | ff44:ec00:dd22:4600::/56 | ff44:ec00:dd22:46ff:ffff:ffff:ffff:ffff |
| 72 | ff44:ec00:dd22:4700::/56 | ff44:ec00:dd22:47ff:ffff:ffff:ffff:ffff |
| 73 | ff44:ec00:dd22:4800::/56 | ff44:ec00:dd22:48ff:ffff:ffff:ffff:ffff |
| 74 | ff44:ec00:dd22:4900::/56 | ff44:ec00:dd22:49ff:ffff:ffff:ffff:ffff |
| 75 | ff44:ec00:dd22:4a00::/56 | ff44:ec00:dd22:4aff:ffff:ffff:ffff:ffff |
| 76 | ff44:ec00:dd22:4b00::/56 | ff44:ec00:dd22:4bff:ffff:ffff:ffff:ffff |
| 77 | ff44:ec00:dd22:4c00::/56 | ff44:ec00:dd22:4cff:ffff:ffff:ffff:ffff |
| 78 | ff44:ec00:dd22:4d00::/56 | ff44:ec00:dd22:4dff:ffff:ffff:ffff:ffff |
| 79 | ff44:ec00:dd22:4e00::/56 | ff44:ec00:dd22:4eff:ffff:ffff:ffff:ffff |
| 80 | ff44:ec00:dd22:4f00::/56 | ff44:ec00:dd22:4fff:ffff:ffff:ffff:ffff |
| 81 | ff44:ec00:dd22:5000::/56 | ff44:ec00:dd22:50ff:ffff:ffff:ffff:ffff |
| 82 | ff44:ec00:dd22:5100::/56 | ff44:ec00:dd22:51ff:ffff:ffff:ffff:ffff |
| 83 | ff44:ec00:dd22:5200::/56 | ff44:ec00:dd22:52ff:ffff:ffff:ffff:ffff |
| 84 | ff44:ec00:dd22:5300::/56 | ff44:ec00:dd22:53ff:ffff:ffff:ffff:ffff |
| 85 | ff44:ec00:dd22:5400::/56 | ff44:ec00:dd22:54ff:ffff:ffff:ffff:ffff |
| 86 | ff44:ec00:dd22:5500::/56 | ff44:ec00:dd22:55ff:ffff:ffff:ffff:ffff |
| 87 | ff44:ec00:dd22:5600::/56 | ff44:ec00:dd22:56ff:ffff:ffff:ffff:ffff |
| 88 | ff44:ec00:dd22:5700::/56 | ff44:ec00:dd22:57ff:ffff:ffff:ffff:ffff |
| 89 | ff44:ec00:dd22:5800::/56 | ff44:ec00:dd22:58ff:ffff:ffff:ffff:ffff |
| 90 | ff44:ec00:dd22:5900::/56 | ff44:ec00:dd22:59ff:ffff:ffff:ffff:ffff |
| 91 | ff44:ec00:dd22:5a00::/56 | ff44:ec00:dd22:5aff:ffff:ffff:ffff:ffff |
| 92 | ff44:ec00:dd22:5b00::/56 | ff44:ec00:dd22:5bff:ffff:ffff:ffff:ffff |
| 93 | ff44:ec00:dd22:5c00::/56 | ff44:ec00:dd22:5cff:ffff:ffff:ffff:ffff |
| 94 | ff44:ec00:dd22:5d00::/56 | ff44:ec00:dd22:5dff:ffff:ffff:ffff:ffff |
| 95 | ff44:ec00:dd22:5e00::/56 | ff44:ec00:dd22:5eff:ffff:ffff:ffff:ffff |
| 96 | ff44:ec00:dd22:5f00::/56 | ff44:ec00:dd22:5fff:ffff:ffff:ffff:ffff |
| 97 | ff44:ec00:dd22:6000::/56 | ff44:ec00:dd22:60ff:ffff:ffff:ffff:ffff |
| 98 | ff44:ec00:dd22:6100::/56 | ff44:ec00:dd22:61ff:ffff:ffff:ffff:ffff |
| 99 | ff44:ec00:dd22:6200::/56 | ff44:ec00:dd22:62ff:ffff:ffff:ffff:ffff |
| 100 | ff44:ec00:dd22:6300::/56 | ff44:ec00:dd22:63ff:ffff:ffff:ffff:ffff |
| 101 | ff44:ec00:dd22:6400::/56 | ff44:ec00:dd22:64ff:ffff:ffff:ffff:ffff |
| 102 | ff44:ec00:dd22:6500::/56 | ff44:ec00:dd22:65ff:ffff:ffff:ffff:ffff |
| 103 | ff44:ec00:dd22:6600::/56 | ff44:ec00:dd22:66ff:ffff:ffff:ffff:ffff |
| 104 | ff44:ec00:dd22:6700::/56 | ff44:ec00:dd22:67ff:ffff:ffff:ffff:ffff |
| 105 | ff44:ec00:dd22:6800::/56 | ff44:ec00:dd22:68ff:ffff:ffff:ffff:ffff |
| 106 | ff44:ec00:dd22:6900::/56 | ff44:ec00:dd22:69ff:ffff:ffff:ffff:ffff |
| 107 | ff44:ec00:dd22:6a00::/56 | ff44:ec00:dd22:6aff:ffff:ffff:ffff:ffff |
| 108 | ff44:ec00:dd22:6b00::/56 | ff44:ec00:dd22:6bff:ffff:ffff:ffff:ffff |
| 109 | ff44:ec00:dd22:6c00::/56 | ff44:ec00:dd22:6cff:ffff:ffff:ffff:ffff |
| 110 | ff44:ec00:dd22:6d00::/56 | ff44:ec00:dd22:6dff:ffff:ffff:ffff:ffff |
| 111 | ff44:ec00:dd22:6e00::/56 | ff44:ec00:dd22:6eff:ffff:ffff:ffff:ffff |
| 112 | ff44:ec00:dd22:6f00::/56 | ff44:ec00:dd22:6fff:ffff:ffff:ffff:ffff |
| 113 | ff44:ec00:dd22:7000::/56 | ff44:ec00:dd22:70ff:ffff:ffff:ffff:ffff |
| 114 | ff44:ec00:dd22:7100::/56 | ff44:ec00:dd22:71ff:ffff:ffff:ffff:ffff |
| 115 | ff44:ec00:dd22:7200::/56 | ff44:ec00:dd22:72ff:ffff:ffff:ffff:ffff |
| 116 | ff44:ec00:dd22:7300::/56 | ff44:ec00:dd22:73ff:ffff:ffff:ffff:ffff |
| 117 | ff44:ec00:dd22:7400::/56 | ff44:ec00:dd22:74ff:ffff:ffff:ffff:ffff |
| 118 | ff44:ec00:dd22:7500::/56 | ff44:ec00:dd22:75ff:ffff:ffff:ffff:ffff |
| 119 | ff44:ec00:dd22:7600::/56 | ff44:ec00:dd22:76ff:ffff:ffff:ffff:ffff |
| 120 | ff44:ec00:dd22:7700::/56 | ff44:ec00:dd22:77ff:ffff:ffff:ffff:ffff |
| 121 | ff44:ec00:dd22:7800::/56 | ff44:ec00:dd22:78ff:ffff:ffff:ffff:ffff |
| 122 | ff44:ec00:dd22:7900::/56 | ff44:ec00:dd22:79ff:ffff:ffff:ffff:ffff |
| 123 | ff44:ec00:dd22:7a00::/56 | ff44:ec00:dd22:7aff:ffff:ffff:ffff:ffff |
| 124 | ff44:ec00:dd22:7b00::/56 | ff44:ec00:dd22:7bff:ffff:ffff:ffff:ffff |
| 125 | ff44:ec00:dd22:7c00::/56 | ff44:ec00:dd22:7cff:ffff:ffff:ffff:ffff |
| 126 | ff44:ec00:dd22:7d00::/56 | ff44:ec00:dd22:7dff:ffff:ffff:ffff:ffff |
| 127 | ff44:ec00:dd22:7e00::/56 | ff44:ec00:dd22:7eff:ffff:ffff:ffff:ffff |
| 128 | ff44:ec00:dd22:7f00::/56 | ff44:ec00:dd22:7fff:ffff:ffff:ffff:ffff |
| 129 | ff44:ec00:dd22:8000::/56 | ff44:ec00:dd22:80ff:ffff:ffff:ffff:ffff |
| 130 | ff44:ec00:dd22:8100::/56 | ff44:ec00:dd22:81ff:ffff:ffff:ffff:ffff |
| 131 | ff44:ec00:dd22:8200::/56 | ff44:ec00:dd22:82ff:ffff:ffff:ffff:ffff |
| 132 | ff44:ec00:dd22:8300::/56 | ff44:ec00:dd22:83ff:ffff:ffff:ffff:ffff |
| 133 | ff44:ec00:dd22:8400::/56 | ff44:ec00:dd22:84ff:ffff:ffff:ffff:ffff |
| 134 | ff44:ec00:dd22:8500::/56 | ff44:ec00:dd22:85ff:ffff:ffff:ffff:ffff |
| 135 | ff44:ec00:dd22:8600::/56 | ff44:ec00:dd22:86ff:ffff:ffff:ffff:ffff |
| 136 | ff44:ec00:dd22:8700::/56 | ff44:ec00:dd22:87ff:ffff:ffff:ffff:ffff |
| 137 | ff44:ec00:dd22:8800::/56 | ff44:ec00:dd22:88ff:ffff:ffff:ffff:ffff |
| 138 | ff44:ec00:dd22:8900::/56 | ff44:ec00:dd22:89ff:ffff:ffff:ffff:ffff |
| 139 | ff44:ec00:dd22:8a00::/56 | ff44:ec00:dd22:8aff:ffff:ffff:ffff:ffff |
| 140 | ff44:ec00:dd22:8b00::/56 | ff44:ec00:dd22:8bff:ffff:ffff:ffff:ffff |
| 141 | ff44:ec00:dd22:8c00::/56 | ff44:ec00:dd22:8cff:ffff:ffff:ffff:ffff |
| 142 | ff44:ec00:dd22:8d00::/56 | ff44:ec00:dd22:8dff:ffff:ffff:ffff:ffff |
| 143 | ff44:ec00:dd22:8e00::/56 | ff44:ec00:dd22:8eff:ffff:ffff:ffff:ffff |
| 144 | ff44:ec00:dd22:8f00::/56 | ff44:ec00:dd22:8fff:ffff:ffff:ffff:ffff |
| 145 | ff44:ec00:dd22:9000::/56 | ff44:ec00:dd22:90ff:ffff:ffff:ffff:ffff |
| 146 | ff44:ec00:dd22:9100::/56 | ff44:ec00:dd22:91ff:ffff:ffff:ffff:ffff |
| 147 | ff44:ec00:dd22:9200::/56 | ff44:ec00:dd22:92ff:ffff:ffff:ffff:ffff |
| 148 | ff44:ec00:dd22:9300::/56 | ff44:ec00:dd22:93ff:ffff:ffff:ffff:ffff |
| 149 | ff44:ec00:dd22:9400::/56 | ff44:ec00:dd22:94ff:ffff:ffff:ffff:ffff |
| 150 | ff44:ec00:dd22:9500::/56 | ff44:ec00:dd22:95ff:ffff:ffff:ffff:ffff |
| 151 | ff44:ec00:dd22:9600::/56 | ff44:ec00:dd22:96ff:ffff:ffff:ffff:ffff |
| 152 | ff44:ec00:dd22:9700::/56 | ff44:ec00:dd22:97ff:ffff:ffff:ffff:ffff |
| 153 | ff44:ec00:dd22:9800::/56 | ff44:ec00:dd22:98ff:ffff:ffff:ffff:ffff |
| 154 | ff44:ec00:dd22:9900::/56 | ff44:ec00:dd22:99ff:ffff:ffff:ffff:ffff |
| 155 | ff44:ec00:dd22:9a00::/56 | ff44:ec00:dd22:9aff:ffff:ffff:ffff:ffff |
| 156 | ff44:ec00:dd22:9b00::/56 | ff44:ec00:dd22:9bff:ffff:ffff:ffff:ffff |
| 157 | ff44:ec00:dd22:9c00::/56 | ff44:ec00:dd22:9cff:ffff:ffff:ffff:ffff |
| 158 | ff44:ec00:dd22:9d00::/56 | ff44:ec00:dd22:9dff:ffff:ffff:ffff:ffff |
| 159 | ff44:ec00:dd22:9e00::/56 | ff44:ec00:dd22:9eff:ffff:ffff:ffff:ffff |
| 160 | ff44:ec00:dd22:9f00::/56 | ff44:ec00:dd22:9fff:ffff:ffff:ffff:ffff |
| 161 | ff44:ec00:dd22:a000::/56 | ff44:ec00:dd22:a0ff:ffff:ffff:ffff:ffff |
| 162 | ff44:ec00:dd22:a100::/56 | ff44:ec00:dd22:a1ff:ffff:ffff:ffff:ffff |
| 163 | ff44:ec00:dd22:a200::/56 | ff44:ec00:dd22:a2ff:ffff:ffff:ffff:ffff |
| 164 | ff44:ec00:dd22:a300::/56 | ff44:ec00:dd22:a3ff:ffff:ffff:ffff:ffff |
| 165 | ff44:ec00:dd22:a400::/56 | ff44:ec00:dd22:a4ff:ffff:ffff:ffff:ffff |
| 166 | ff44:ec00:dd22:a500::/56 | ff44:ec00:dd22:a5ff:ffff:ffff:ffff:ffff |
| 167 | ff44:ec00:dd22:a600::/56 | ff44:ec00:dd22:a6ff:ffff:ffff:ffff:ffff |
| 168 | ff44:ec00:dd22:a700::/56 | ff44:ec00:dd22:a7ff:ffff:ffff:ffff:ffff |
| 169 | ff44:ec00:dd22:a800::/56 | ff44:ec00:dd22:a8ff:ffff:ffff:ffff:ffff |
| 170 | ff44:ec00:dd22:a900::/56 | ff44:ec00:dd22:a9ff:ffff:ffff:ffff:ffff |
| 171 | ff44:ec00:dd22:aa00::/56 | ff44:ec00:dd22:aaff:ffff:ffff:ffff:ffff |
| 172 | ff44:ec00:dd22:ab00::/56 | ff44:ec00:dd22:abff:ffff:ffff:ffff:ffff |
| 173 | ff44:ec00:dd22:ac00::/56 | ff44:ec00:dd22:acff:ffff:ffff:ffff:ffff |
| 174 | ff44:ec00:dd22:ad00::/56 | ff44:ec00:dd22:adff:ffff:ffff:ffff:ffff |
| 175 | ff44:ec00:dd22:ae00::/56 | ff44:ec00:dd22:aeff:ffff:ffff:ffff:ffff |
| 176 | ff44:ec00:dd22:af00::/56 | ff44:ec00:dd22:afff:ffff:ffff:ffff:ffff |
| 177 | ff44:ec00:dd22:b000::/56 | ff44:ec00:dd22:b0ff:ffff:ffff:ffff:ffff |
| 178 | ff44:ec00:dd22:b100::/56 | ff44:ec00:dd22:b1ff:ffff:ffff:ffff:ffff |
| 179 | ff44:ec00:dd22:b200::/56 | ff44:ec00:dd22:b2ff:ffff:ffff:ffff:ffff |
| 180 | ff44:ec00:dd22:b300::/56 | ff44:ec00:dd22:b3ff:ffff:ffff:ffff:ffff |
| 181 | ff44:ec00:dd22:b400::/56 | ff44:ec00:dd22:b4ff:ffff:ffff:ffff:ffff |
| 182 | ff44:ec00:dd22:b500::/56 | ff44:ec00:dd22:b5ff:ffff:ffff:ffff:ffff |
| 183 | ff44:ec00:dd22:b600::/56 | ff44:ec00:dd22:b6ff:ffff:ffff:ffff:ffff |
| 184 | ff44:ec00:dd22:b700::/56 | ff44:ec00:dd22:b7ff:ffff:ffff:ffff:ffff |
| 185 | ff44:ec00:dd22:b800::/56 | ff44:ec00:dd22:b8ff:ffff:ffff:ffff:ffff |
| 186 | ff44:ec00:dd22:b900::/56 | ff44:ec00:dd22:b9ff:ffff:ffff:ffff:ffff |
| 187 | ff44:ec00:dd22:ba00::/56 | ff44:ec00:dd22:baff:ffff:ffff:ffff:ffff |
| 188 | ff44:ec00:dd22:bb00::/56 | ff44:ec00:dd22:bbff:ffff:ffff:ffff:ffff |
| 189 | ff44:ec00:dd22:bc00::/56 | ff44:ec00:dd22:bcff:ffff:ffff:ffff:ffff |
| 190 | ff44:ec00:dd22:bd00::/56 | ff44:ec00:dd22:bdff:ffff:ffff:ffff:ffff |
| 191 | ff44:ec00:dd22:be00::/56 | ff44:ec00:dd22:beff:ffff:ffff:ffff:ffff |
| 192 | ff44:ec00:dd22:bf00::/56 | ff44:ec00:dd22:bfff:ffff:ffff:ffff:ffff |
| 193 | ff44:ec00:dd22:c000::/56 | ff44:ec00:dd22:c0ff:ffff:ffff:ffff:ffff |
| 194 | ff44:ec00:dd22:c100::/56 | ff44:ec00:dd22:c1ff:ffff:ffff:ffff:ffff |
| 195 | ff44:ec00:dd22:c200::/56 | ff44:ec00:dd22:c2ff:ffff:ffff:ffff:ffff |
| 196 | ff44:ec00:dd22:c300::/56 | ff44:ec00:dd22:c3ff:ffff:ffff:ffff:ffff |
| 197 | ff44:ec00:dd22:c400::/56 | ff44:ec00:dd22:c4ff:ffff:ffff:ffff:ffff |
| 198 | ff44:ec00:dd22:c500::/56 | ff44:ec00:dd22:c5ff:ffff:ffff:ffff:ffff |
| 199 | ff44:ec00:dd22:c600::/56 | ff44:ec00:dd22:c6ff:ffff:ffff:ffff:ffff |
| 200 | ff44:ec00:dd22:c700::/56 | ff44:ec00:dd22:c7ff:ffff:ffff:ffff:ffff |
| 201 | ff44:ec00:dd22:c800::/56 | ff44:ec00:dd22:c8ff:ffff:ffff:ffff:ffff |
| 202 | ff44:ec00:dd22:c900::/56 | ff44:ec00:dd22:c9ff:ffff:ffff:ffff:ffff |
| 203 | ff44:ec00:dd22:ca00::/56 | ff44:ec00:dd22:caff:ffff:ffff:ffff:ffff |
| 204 | ff44:ec00:dd22:cb00::/56 | ff44:ec00:dd22:cbff:ffff:ffff:ffff:ffff |
| 205 | ff44:ec00:dd22:cc00::/56 | ff44:ec00:dd22:ccff:ffff:ffff:ffff:ffff |
| 206 | ff44:ec00:dd22:cd00::/56 | ff44:ec00:dd22:cdff:ffff:ffff:ffff:ffff |
| 207 | ff44:ec00:dd22:ce00::/56 | ff44:ec00:dd22:ceff:ffff:ffff:ffff:ffff |
| 208 | ff44:ec00:dd22:cf00::/56 | ff44:ec00:dd22:cfff:ffff:ffff:ffff:ffff |
| 209 | ff44:ec00:dd22:d000::/56 | ff44:ec00:dd22:d0ff:ffff:ffff:ffff:ffff |
| 210 | ff44:ec00:dd22:d100::/56 | ff44:ec00:dd22:d1ff:ffff:ffff:ffff:ffff |
| 211 | ff44:ec00:dd22:d200::/56 | ff44:ec00:dd22:d2ff:ffff:ffff:ffff:ffff |
| 212 | ff44:ec00:dd22:d300::/56 | ff44:ec00:dd22:d3ff:ffff:ffff:ffff:ffff |
| 213 | ff44:ec00:dd22:d400::/56 | ff44:ec00:dd22:d4ff:ffff:ffff:ffff:ffff |
| 214 | ff44:ec00:dd22:d500::/56 | ff44:ec00:dd22:d5ff:ffff:ffff:ffff:ffff |
| 215 | ff44:ec00:dd22:d600::/56 | ff44:ec00:dd22:d6ff:ffff:ffff:ffff:ffff |
| 216 | ff44:ec00:dd22:d700::/56 | ff44:ec00:dd22:d7ff:ffff:ffff:ffff:ffff |
| 217 | ff44:ec00:dd22:d800::/56 | ff44:ec00:dd22:d8ff:ffff:ffff:ffff:ffff |
| 218 | ff44:ec00:dd22:d900::/56 | ff44:ec00:dd22:d9ff:ffff:ffff:ffff:ffff |
| 219 | ff44:ec00:dd22:da00::/56 | ff44:ec00:dd22:daff:ffff:ffff:ffff:ffff |
| 220 | ff44:ec00:dd22:db00::/56 | ff44:ec00:dd22:dbff:ffff:ffff:ffff:ffff |
| 221 | ff44:ec00:dd22:dc00::/56 | ff44:ec00:dd22:dcff:ffff:ffff:ffff:ffff |
| 222 | ff44:ec00:dd22:dd00::/56 | ff44:ec00:dd22:ddff:ffff:ffff:ffff:ffff |
| 223 | ff44:ec00:dd22:de00::/56 | ff44:ec00:dd22:deff:ffff:ffff:ffff:ffff |
| 224 | ff44:ec00:dd22:df00::/56 | ff44:ec00:dd22:dfff:ffff:ffff:ffff:ffff |
| 225 | ff44:ec00:dd22:e000::/56 | ff44:ec00:dd22:e0ff:ffff:ffff:ffff:ffff |
| 226 | ff44:ec00:dd22:e100::/56 | ff44:ec00:dd22:e1ff:ffff:ffff:ffff:ffff |
| 227 | ff44:ec00:dd22:e200::/56 | ff44:ec00:dd22:e2ff:ffff:ffff:ffff:ffff |
| 228 | ff44:ec00:dd22:e300::/56 | ff44:ec00:dd22:e3ff:ffff:ffff:ffff:ffff |
| 229 | ff44:ec00:dd22:e400::/56 | ff44:ec00:dd22:e4ff:ffff:ffff:ffff:ffff |
| 230 | ff44:ec00:dd22:e500::/56 | ff44:ec00:dd22:e5ff:ffff:ffff:ffff:ffff |
| 231 | ff44:ec00:dd22:e600::/56 | ff44:ec00:dd22:e6ff:ffff:ffff:ffff:ffff |
| 232 | ff44:ec00:dd22:e700::/56 | ff44:ec00:dd22:e7ff:ffff:ffff:ffff:ffff |
| 233 | ff44:ec00:dd22:e800::/56 | ff44:ec00:dd22:e8ff:ffff:ffff:ffff:ffff |
| 234 | ff44:ec00:dd22:e900::/56 | ff44:ec00:dd22:e9ff:ffff:ffff:ffff:ffff |
| 235 | ff44:ec00:dd22:ea00::/56 | ff44:ec00:dd22:eaff:ffff:ffff:ffff:ffff |
| 236 | ff44:ec00:dd22:eb00::/56 | ff44:ec00:dd22:ebff:ffff:ffff:ffff:ffff |
| 237 | ff44:ec00:dd22:ec00::/56 | ff44:ec00:dd22:ecff:ffff:ffff:ffff:ffff |
| 238 | ff44:ec00:dd22:ed00::/56 | ff44:ec00:dd22:edff:ffff:ffff:ffff:ffff |
| 239 | ff44:ec00:dd22:ee00::/56 | ff44:ec00:dd22:eeff:ffff:ffff:ffff:ffff |
| 240 | ff44:ec00:dd22:ef00::/56 | ff44:ec00:dd22:efff:ffff:ffff:ffff:ffff |
| 241 | ff44:ec00:dd22:f000::/56 | ff44:ec00:dd22:f0ff:ffff:ffff:ffff:ffff |
| 242 | ff44:ec00:dd22:f100::/56 | ff44:ec00:dd22:f1ff:ffff:ffff:ffff:ffff |
| 243 | ff44:ec00:dd22:f200::/56 | ff44:ec00:dd22:f2ff:ffff:ffff:ffff:ffff |
| 244 | ff44:ec00:dd22:f300::/56 | ff44:ec00:dd22:f3ff:ffff:ffff:ffff:ffff |
| 245 | ff44:ec00:dd22:f400::/56 | ff44:ec00:dd22:f4ff:ffff:ffff:ffff:ffff |
| 246 | ff44:ec00:dd22:f500::/56 | ff44:ec00:dd22:f5ff:ffff:ffff:ffff:ffff |
| 247 | ff44:ec00:dd22:f600::/56 | ff44:ec00:dd22:f6ff:ffff:ffff:ffff:ffff |
| 248 | ff44:ec00:dd22:f700::/56 | ff44:ec00:dd22:f7ff:ffff:ffff:ffff:ffff |
| 249 | ff44:ec00:dd22:f800::/56 | ff44:ec00:dd22:f8ff:ffff:ffff:ffff:ffff |
| 250 | ff44:ec00:dd22:f900::/56 | ff44:ec00:dd22:f9ff:ffff:ffff:ffff:ffff |
| 251 | ff44:ec00:dd22:fa00::/56 | ff44:ec00:dd22:faff:ffff:ffff:ffff:ffff |
| 252 | ff44:ec00:dd22:fb00::/56 | ff44:ec00:dd22:fbff:ffff:ffff:ffff:ffff |
| 253 | ff44:ec00:dd22:fc00::/56 | ff44:ec00:dd22:fcff:ffff:ffff:ffff:ffff |
| 254 | ff44:ec00:dd22:fd00::/56 | ff44:ec00:dd22:fdff:ffff:ffff:ffff:ffff |
| 255 | ff44:ec00:dd22:fe00::/56 | ff44:ec00:dd22:feff:ffff:ffff:ffff:ffff |
| 256 | ff44:ec00:dd22:ff00::/56 | ff44:ec00:dd22:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |